Skip to main content
GET
/
v1
/
channels
/
{channel_id}
/
sponsors
List recurring channel sponsors
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/channels/{channel_id}/sponsors', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/channels/{channel_id}/sponsors"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/channels/{channel_id}/sponsors \
--header 'Authorization: Bearer <token>'
{
  "channel": {
    "id": "<string>",
    "youtube_channel_id": "<string>",
    "name": "<string>"
  },
  "sponsors": [
    {
      "entity": {
        "id": "<string>",
        "name": "<string>",
        "type": "<string>"
      },
      "ad_reads": 123,
      "videos": 123,
      "first_seen": "<string>",
      "last_seen": "<string>",
      "sponsor_status": {
        "status": "<string>",
        "ad_count": 123,
        "first_ad_date": "<string>",
        "last_ad_date": "<string>"
      }
    }
  ],
  "meta": {
    "min_ad_reads": 123,
    "count": 123
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

min_ad_reads
integer
default:3
Required range: 1 <= x <= 100
status
enum<string>
Available options:
active,
lapsed,
ended,
uncertain
limit
integer
default:100
Required range: 1 <= x <= 200

Response

Success

channel
object
required
sponsors
object[]
required

Recurring sponsors ordered by ad read count (descending).

meta
object
required